"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.RealTime = void 0;
const resource_1 = require("../../resource.js");
const core_1 = require("../../core.js");
class RealTime extends resource_1.APIResource {
    /**
     * Lists available real-time dimensions. This API is now deprecated, please use the
     * `List Monitoring Dimensions` API.
     *
     * @deprecated
     */
    listDimensions(options) {
        return this._client.get('/data/v1/realtime/dimensions', {
            defaultBaseURL: 'https://api.mux.com',
            ...options,
        });
    }
    /**
     * Lists available real-time metrics. This API is now deprecated, please use the
     * `List Monitoring Metrics` API.
     *
     * @deprecated
     */
    listMetrics(options) {
        return this._client.get('/data/v1/realtime/metrics', {
            defaultBaseURL: 'https://api.mux.com',
            ...options,
        });
    }
    retrieveBreakdown(realtimeMetricId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.retrieveBreakdown(realtimeMetricId, {}, query);
        }
        return this._client.get(`/data/v1/realtime/metrics/${realtimeMetricId}/breakdown`, {
            query,
            defaultBaseURL: 'https://api.mux.com',
            ...options,
        });
    }
    retrieveHistogramTimeseries(realtimeHistogramMetricId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.retrieveHistogramTimeseries(realtimeHistogramMetricId, {}, query);
        }
        return this._client.get(`/data/v1/realtime/metrics/${realtimeHistogramMetricId}/histogram-timeseries`, {
            query,
            defaultBaseURL: 'https://api.mux.com',
            ...options,
        });
    }
    retrieveTimeseries(realtimeMetricId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.retrieveTimeseries(realtimeMetricId, {}, query);
        }
        return this._client.get(`/data/v1/realtime/metrics/${realtimeMetricId}/timeseries`, {
            query,
            defaultBaseURL: 'https://api.mux.com',
            ...options,
        });
    }
}
exports.RealTime = RealTime;
//# sourceMappingURL=real-time.js.map